
BEGIN {
  unless ($ENV{AUTHOR_TESTING}) {
    require Test::More;
    Test::More::plan(skip_all => 'these tests are for testing by the author');
  }
}

use strict;
use warnings;

# this test was generated with Dist::Zilla::Plugin::Test::NoTabs 0.09

use Test::More 0.88;
use Test::NoTabs;

my @files = (
    'lib/WWW/StatusBadge.pm',
    'lib/WWW/StatusBadge/Plugin/BadgeFury.pm',
    'lib/WWW/StatusBadge/Plugin/CPAN.pm',
    'lib/WWW/StatusBadge/Plugin/Coveralls.pm',
    'lib/WWW/StatusBadge/Plugin/GitHub.pm',
    'lib/WWW/StatusBadge/Plugin/Travis.pm',
    'lib/WWW/StatusBadge/Render/Plugin/AsciiDoc.pm',
    'lib/WWW/StatusBadge/Render/Plugin/HTML.pm',
    'lib/WWW/StatusBadge/Render/Plugin/Markdown.pm',
    'lib/WWW/StatusBadge/Render/Plugin/POD.pm',
    'lib/WWW/StatusBadge/Render/Plugin/RDoc.pm',
    'lib/WWW/StatusBadge/Render/Plugin/RST.pm',
    'lib/WWW/StatusBadge/Render/Plugin/Textile.pm',
    'lib/WWW/StatusBadge/Service.pm',
    'lib/WWW/StatusBadge/Service/BadgeFury.pm',
    'lib/WWW/StatusBadge/Service/Coveralls.pm',
    'lib/WWW/StatusBadge/Service/TravisCI.pm',
    't/00-compile.t',
    't/01-new.t',
    't/02-args.t',
    't/98-service/01-new.t',
    't/98-service/02-img.t',
    't/98-service/02-txt.t',
    't/98-service/02-url.t',
    't/98-service/98-asciidoc.t',
    't/98-service/98-html.t',
    't/98-service/98-markdown.t',
    't/98-service/98-pod.t',
    't/98-service/98-rdoc.t',
    't/98-service/98-rst.t',
    't/98-service/98-textile.t',
    't/98-service/99-badge_fury/01-new.t',
    't/98-service/99-badge_fury/99-bo/02-img.t',
    't/98-service/99-badge_fury/99-bo/02-txt.t',
    't/98-service/99-badge_fury/99-bo/02-url.t',
    't/98-service/99-badge_fury/99-bo/98-asciidoc.t',
    't/98-service/99-badge_fury/99-bo/98-html.t',
    't/98-service/99-badge_fury/99-bo/98-markdown.t',
    't/98-service/99-badge_fury/99-bo/98-pod.t',
    't/98-service/99-badge_fury/99-bo/98-rdoc.t',
    't/98-service/99-badge_fury/99-bo/98-rst.t',
    't/98-service/99-badge_fury/99-bo/98-textile.t',
    't/98-service/99-badge_fury/99-bo/common.pl',
    't/98-service/99-badge_fury/99-co/02-img.t',
    't/98-service/99-badge_fury/99-co/02-txt.t',
    't/98-service/99-badge_fury/99-co/02-url.t',
    't/98-service/99-badge_fury/99-co/98-asciidoc.t',
    't/98-service/99-badge_fury/99-co/98-html.t',
    't/98-service/99-badge_fury/99-co/98-markdown.t',
    't/98-service/99-badge_fury/99-co/98-pod.t',
    't/98-service/99-badge_fury/99-co/98-rdoc.t',
    't/98-service/99-badge_fury/99-co/98-rst.t',
    't/98-service/99-badge_fury/99-co/98-textile.t',
    't/98-service/99-badge_fury/99-co/common.pl',
    't/98-service/99-badge_fury/99-gh/02-img.t',
    't/98-service/99-badge_fury/99-gh/02-txt.t',
    't/98-service/99-badge_fury/99-gh/02-url.t',
    't/98-service/99-badge_fury/99-gh/98-asciidoc.t',
    't/98-service/99-badge_fury/99-gh/98-html.t',
    't/98-service/99-badge_fury/99-gh/98-markdown.t',
    't/98-service/99-badge_fury/99-gh/98-pod.t',
    't/98-service/99-badge_fury/99-gh/98-rdoc.t',
    't/98-service/99-badge_fury/99-gh/98-rst.t',
    't/98-service/99-badge_fury/99-gh/98-textile.t',
    't/98-service/99-badge_fury/99-gh/common.pl',
    't/98-service/99-badge_fury/99-js/02-img.t',
    't/98-service/99-badge_fury/99-js/02-txt.t',
    't/98-service/99-badge_fury/99-js/02-url.t',
    't/98-service/99-badge_fury/99-js/98-asciidoc.t',
    't/98-service/99-badge_fury/99-js/98-html.t',
    't/98-service/99-badge_fury/99-js/98-markdown.t',
    't/98-service/99-badge_fury/99-js/98-pod.t',
    't/98-service/99-badge_fury/99-js/98-rdoc.t',
    't/98-service/99-badge_fury/99-js/98-rst.t',
    't/98-service/99-badge_fury/99-js/98-textile.t',
    't/98-service/99-badge_fury/99-js/common.pl',
    't/98-service/99-badge_fury/99-nu/02-img.t',
    't/98-service/99-badge_fury/99-nu/02-txt.t',
    't/98-service/99-badge_fury/99-nu/02-url.t',
    't/98-service/99-badge_fury/99-nu/98-asciidoc.t',
    't/98-service/99-badge_fury/99-nu/98-html.t',
    't/98-service/99-badge_fury/99-nu/98-markdown.t',
    't/98-service/99-badge_fury/99-nu/98-pod.t',
    't/98-service/99-badge_fury/99-nu/98-rdoc.t',
    't/98-service/99-badge_fury/99-nu/98-rst.t',
    't/98-service/99-badge_fury/99-nu/98-textile.t',
    't/98-service/99-badge_fury/99-nu/common.pl',
    't/98-service/99-badge_fury/99-pl/02-img.t',
    't/98-service/99-badge_fury/99-pl/02-txt.t',
    't/98-service/99-badge_fury/99-pl/02-url.t',
    't/98-service/99-badge_fury/99-pl/98-asciidoc.t',
    't/98-service/99-badge_fury/99-pl/98-html.t',
    't/98-service/99-badge_fury/99-pl/98-markdown.t',
    't/98-service/99-badge_fury/99-pl/98-pod.t',
    't/98-service/99-badge_fury/99-pl/98-rdoc.t',
    't/98-service/99-badge_fury/99-pl/98-rst.t',
    't/98-service/99-badge_fury/99-pl/98-textile.t',
    't/98-service/99-badge_fury/99-pl/common.pl',
    't/98-service/99-badge_fury/99-py/02-img.t',
    't/98-service/99-badge_fury/99-py/02-txt.t',
    't/98-service/99-badge_fury/99-py/02-url.t',
    't/98-service/99-badge_fury/99-py/98-asciidoc.t',
    't/98-service/99-badge_fury/99-py/98-html.t',
    't/98-service/99-badge_fury/99-py/98-markdown.t',
    't/98-service/99-badge_fury/99-py/98-pod.t',
    't/98-service/99-badge_fury/99-py/98-rdoc.t',
    't/98-service/99-badge_fury/99-py/98-rst.t',
    't/98-service/99-badge_fury/99-py/98-textile.t',
    't/98-service/99-badge_fury/99-py/common.pl',
    't/98-service/99-badge_fury/99-rb/02-img.t',
    't/98-service/99-badge_fury/99-rb/02-txt.t',
    't/98-service/99-badge_fury/99-rb/02-url.t',
    't/98-service/99-badge_fury/99-rb/98-asciidoc.t',
    't/98-service/99-badge_fury/99-rb/98-html.t',
    't/98-service/99-badge_fury/99-rb/98-markdown.t',
    't/98-service/99-badge_fury/99-rb/98-pod.t',
    't/98-service/99-badge_fury/99-rb/98-rdoc.t',
    't/98-service/99-badge_fury/99-rb/98-rst.t',
    't/98-service/99-badge_fury/99-rb/98-textile.t',
    't/98-service/99-badge_fury/99-rb/common.pl',
    't/98-service/99-badge_fury/common.pl',
    't/98-service/99-coveralls/01-new.t',
    't/98-service/99-coveralls/02-img.t',
    't/98-service/99-coveralls/02-txt.t',
    't/98-service/99-coveralls/02-url.t',
    't/98-service/99-coveralls/98-asciidoc.t',
    't/98-service/99-coveralls/98-html.t',
    't/98-service/99-coveralls/98-markdown.t',
    't/98-service/99-coveralls/98-pod.t',
    't/98-service/99-coveralls/98-rdoc.t',
    't/98-service/99-coveralls/98-rst.t',
    't/98-service/99-coveralls/98-textile.t',
    't/98-service/99-coveralls/99-private/02-img.t',
    't/98-service/99-coveralls/99-private/98-asciidoc.t',
    't/98-service/99-coveralls/99-private/98-html.t',
    't/98-service/99-coveralls/99-private/98-markdown.t',
    't/98-service/99-coveralls/99-private/98-pod.t',
    't/98-service/99-coveralls/99-private/98-rdoc.t',
    't/98-service/99-coveralls/99-private/98-rst.t',
    't/98-service/99-coveralls/99-private/98-textile.t',
    't/98-service/99-coveralls/99-private/common.pl',
    't/98-service/99-coveralls/common.pl',
    't/98-service/99-travis_ci/01-new.t',
    't/98-service/99-travis_ci/02-img.t',
    't/98-service/99-travis_ci/02-txt.t',
    't/98-service/99-travis_ci/02-url.t',
    't/98-service/99-travis_ci/98-asciidoc.t',
    't/98-service/99-travis_ci/98-html.t',
    't/98-service/99-travis_ci/98-markdown.t',
    't/98-service/99-travis_ci/98-pod.t',
    't/98-service/99-travis_ci/98-rdoc.t',
    't/98-service/99-travis_ci/98-rst.t',
    't/98-service/99-travis_ci/98-textile.t',
    't/98-service/99-travis_ci/common.pl',
    't/98-service/common.pl',
    't/99-plugin/badgefury/00-method_exists.t',
    't/99-plugin/badgefury/01-object_class.t',
    't/99-plugin/badgefury/common.pl',
    't/99-plugin/coveralls/00-method_exists.t',
    't/99-plugin/coveralls/01-object_class.t',
    't/99-plugin/coveralls/common.pl',
    't/99-plugin/cpan/00-method_exists.t',
    't/99-plugin/cpan/01-object_class.t',
    't/99-plugin/cpan/common.pl',
    't/99-plugin/github/00-method_exists.t',
    't/99-plugin/github/01-object_class.t',
    't/99-plugin/github/common.pl',
    't/99-plugin/travis/00-method_exists.t',
    't/99-plugin/travis/01-object_class.t',
    't/99-plugin/travis/common.pl',
    't/author-eol.t',
    't/author-no-tabs.t',
    't/common.pl',
    't/release-cpan-changes.t',
    't/release-dist-manifest.t',
    't/release-distmeta.t',
    't/release-kwalitee.t',
    't/release-meta-json.t',
    't/release-minimum-version.t',
    't/release-mojibake.t',
    't/release-pod-coverage.t',
    't/release-pod-linkcheck.t',
    't/release-pod-syntax.t',
    't/release-portability.t',
    't/release-synopsis.t',
    't/release-test-version.t',
    't/release-unused-vars.t'
);

notabs_ok($_) foreach @files;
done_testing;
